Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
nmn1918

[Yêu cầu] lisp lấy toạ độ XYZ đường 3D polyline

Các bài được khuyến nghị

Mình đang cần lisp để lấy toạ độ x,y,z của một đường 3D polyline, mong các bạn giúp đỡ, xin chân thành cám ơn!

Lisp lấy toạ độ x,y,z của một đường 3D polyline và 2D (LWPOLYLINE).

(defun c:tdpl (/ cPl n pt)
 (vl-load-com)   
 (if (and
(setq cPl (entsel "\nSelect Polyline : "))
(wcmatch (cdr (assoc 0 (entget (setq cPl (car cPl))))) "*POLYLINE" )  )
   (progn
     (setq n -1)
     (while (setq pt (vlax-curve-getPointAtParam cPl (setq n (1+ n))))
(princ (strcat "\nVetex " (itoa (1+ n)) " : "
	       (rtos (car pt)) ";" (rtos (cadr pt)) ";" (rtos (last pt)) ) )  )  )
   (princ "<!> It isn't Polyline <!> ")  )
 (princ))

 

hoặc nếu có Express Tool :

(defun c:tdpl1 (/ cPl n  pLst)
 (vl-load-com)   
 (if (and
(setq cPl (entsel "\nSelect Polyline : "))
(wcmatch (cdr (assoc 0 (entget (setq cPl (car cPl))))) "*POLYLINE" )  )
   (progn
     (setq pLst (acet-geom-vertex-list cPl) n 0)
     (foreach pt pLst
(princ (strcat "\nVetex " (itoa (setq n (1+ n))) " : "
	       (rtos (car pt)) ";" (rtos (cadr pt)) ";" (rtos (last pt)) ) ) )      )
   (princ "<!> It isn't Polyline <!> ")  )
 (princ))

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×